Card Info
Get Card details using card bin. You can also use this API to check if a card is eligible for ATM PIN, Mandate or direct otp payments.
Request
Response
API Endpoints
Sandbox Link
GET
https://api.sandbox.juspay.io/cardbins/{cardbins}
Production Link
GET
https://api.juspay.io/cardbins/{cardbins}
Authorization Header
Basic Auth
*
required
Path Params
merchant_id
String
Merchant ID which represents the merchant storing the card
options.check_mandate_support
Boolean
This is a boolean variable and accepts true/false. If set to `true`, then the card eligibility check for mandate transactions
200 : Success
Response Body
Card Info
JSON
id
String
card_sub_type
String
brand
String
bank
String
object
String
type
String
juspay_bank_code
String
country
String
Mandate Eligibility
JSON
id
String
card_sub_type
String
mandate_support
Boolean
brand
String
bank
String
object
String
type
String
juspay_bank_code
String
country
String
DOTP Eligibility
JSON
id
String
card_sub_type
String
brand
String
bank
String
object
String
type
String
direct_otp_support
Boolean
juspay_bank_code
String
country
String
Tokenization Eligibility
JSON
id
String
object
String
brand
String
bank
String
country
String
type
String
card_sub_type
String
juspay_bank_code
String
tokenize_support
Boolean
404 : Not Found
Response Body
status
String
invalid_request_error
error_code
String
object_not_found
error_message
String
Cannot find what you are looking for

